#ifndef PAGE_H
#define PAGE_H

#include <QWidget>

#include "restrictedwebview.h"
#include "navbar.h"
#include "settings.h"

class Page : public QWidget
{
    Q_OBJECT

public:
    Page(QUrl url, QWidget *parent = 0);
    Page(RestrictedWebView *webView, QWidget *parent = 0);
    void removeEmbedElements();
    RestrictedWebView *view() const { return m_view; };
    NavBar *navbar() const { return m_navbar; };

private slots:
    void adjustTitle(QString);
    void onEnd();
    void onUrlDenied(QString);

private:
    void setup();
    Settings *settings;
    NavBar *m_navbar;
    RestrictedWebView *m_view;

signals:
    void urlDenied(QString);
    void titleChanged(QString, Page *);
    void end();
};

#endif
