#include <QProcess>

#include <QDebug>

#include <unistd.h>

#include "settings.h"
#include "utils.h"

QString Utils::getIconTheme()
{
    QProcess p;
    p.start("qdbus org.xfce.Xfconf /org/xfce/Xfconf GetProperty xsettings /Net/IconThemeName");
    p.waitForFinished();
    QString r(p.readAllStandardOutput());
    return r.simplified();
}

bool Utils::validateAdminPassword(QString given)
{
    Settings *settings = Settings::load();
    QString cryptedPassword = settings->get("main/admin_passwd").toString();

    if (cryptedPassword.isEmpty())
        return true;

    QString crypted = QString(crypt(given.toUtf8().data(), cryptedPassword.toUtf8().data()));

    if (crypted == cryptedPassword)
        return true;

    return false;
}
