#include <QPushButton>

#include "password.h"

PasswordDialog::PasswordDialog(QWidget *parent)
    : QDialog(parent)
{
    ui.setupUi(this);

    ui.buttonBox->button(QDialogButtonBox::Ok)->setEnabled(false);

    connect(ui.passwordEdit, &QLineEdit::textChanged,
            this, &PasswordDialog::onPasswordChanged);
    connect(ui.repeatPasswordEdit, &QLineEdit::textChanged,
            this, &PasswordDialog::onPasswordChanged);

    connect(ui.buttonBox->button(QDialogButtonBox::Ok), &QPushButton::clicked,
            this, &PasswordDialog::onValidated);
    connect(ui.buttonBox->button(QDialogButtonBox::Cancel), &QPushButton::clicked,
            this, &PasswordDialog::onCancelled);
}

void PasswordDialog::onPasswordChanged(QString value)
{
    QString p1 = ui.passwordEdit->text();
    QString p2 = ui.repeatPasswordEdit->text();

    if (p1.isEmpty() || p2.isEmpty() || p1 != p2)
        ui.buttonBox->button(QDialogButtonBox::Ok)->setEnabled(false);
    else
        ui.buttonBox->button(QDialogButtonBox::Ok)->setEnabled(true);
}

void PasswordDialog::onValidated()
{
    done(QDialog::Accepted);
}

void PasswordDialog::onCancelled()
{
    done(QDialog::Rejected);
}
